%define upstream_name Sah
%define upstream_version 0.9.39

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Schema for data structures (specification)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::ShareDir::Install)

BuildArch:	noarch

%description
Schema for data structures (specification).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.9.39-3.mga6
+ Revision: 1033005
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.9.39-2.mga6
+ Revision: 970028
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.9.39-1.mga6
+ Revision: 884810
- update to 0.9.39

* Sun Sep 06 2015 sander85 <sander85> 0.9.38-1.mga6
+ Revision: 873596
- update to 0.9.38

* Tue Jul 07 2015 sander85 <sander85> 0.9.37-1.mga6
+ Revision: 852618
- imported package perl-Sah

